Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.texteditor
Class AbstractTextEditor.AbstractSelectionChangedListener

    java.lang.Object
      org.eclipse.ui.texteditor.AbstractTextEditor.AbstractSelectionChangedListener

All Implemented Interfaces:
  ISelectionChangedListener

Enclosing class:
  AbstractTextEditor

protected abstract class AbstractTextEditor.AbstractSelectionChangedListener
extends Object
implements ISelectionChangedListener

Internal implementation class for a change listener.

Since:
  3.0

Constructor Summary
`protected` | `AbstractTextEditor.AbstractSelectionChangedListener()`

Method Summary
`void` | `install(ISelectionProvider selectionProvider)` Installs this selection changed listener with the given selection provider.
`void` | `uninstall(ISelectionProvider selectionProvider)` Removes this selection changed listener from the given selection provider.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.ISelectionChangedListener
`selectionChanged`

Constructor Detail

### AbstractTextEditor.AbstractSelectionChangedListener

    protected AbstractTextEditor.AbstractSelectionChangedListener()

Method Detail

### install

    public void install(ISelectionProvider selectionProvider)

  Installs this selection changed listener with the given selection provider. If the selection provider is a post selection provider, post selection changed events are the preferred choice, otherwise normal selection changed events are requested.

  Parameters:
    `selectionProvider` -

### uninstall

    public void uninstall(ISelectionProvider selectionProvider)

  Removes this selection changed listener from the given selection provider.

  Parameters:
    `selectionProvider` - the selection provider

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.